Package org.apache.avro

# Class Resolver.Container

java.lang.Object
org.apache.avro.Resolver.Action
org.apache.avro.Resolver.Container

Enclosing class:
  `Resolver`

public static class Resolver.Container extends Resolver.Action
Used for array and map schemas: the public instance variable `elementAction` contains the resolving action needed for the element type of an array or value top of a map.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.avro.Resolver.Action

`Resolver.Action.Type`

## Field Summary

Fields
Modifier and Type
Field
Description
`final Resolver.Action`
`elementAction`

### Fields inherited from class org.apache.avro.Resolver.Action

`conversion, logicalType, reader, type, writer`

## Constructor Summary

Constructors
Constructor
Description
`Container(Schema w, Schema r, GenericData d, Resolver.Action e)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### elementAction

public final Resolver.Action elementAction

## Constructor Details

### Container

public Container(Schema w, Schema r, GenericData d, Resolver.Action e)